de.dhbwstuttgart.syntaxtree

## Class ParameterList

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.ParameterList

- All Implemented Interfaces:
    IItemWithOffset, java.lang.Iterable<FormalParameter>

      public class ParameterList
      extends SyntaxTreeNode
      implements java.lang.Iterable<FormalParameter>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Menge<FormalParameter>` | `formalparameter`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `Menge<? extends SyntaxTreeNode>` | `getChildren()`
    `int` | `getOffset()`
    `FormalParameter` | `getParameterAt(int i)`
    `int` | `getParameterCount()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `java.lang.String` | `getTypeInformation()`
    `int` | `getVariableLength()`
    `java.util.Iterator<FormalParameter>` | `iterator()`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `Menge<FormalParameter>` | `sc_get_Formalparalist()`
    `void` | `set_AddParameter(FormalParameter fp)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### formalparameter

          public Menge<FormalParameter> formalparameter

  - ### Constructor Detail

    - #### ParameterList

          public ParameterList()

  - ### Method Detail

    - #### set_AddParameter

          public void set_AddParameter(FormalParameter fp)

    - #### getParameterAt

          public FormalParameter getParameterAt(int i)

    - #### sc_get_Formalparalist

          public Menge<FormalParameter> sc_get_Formalparalist()

    - #### getParameterCount

          public int getParameterCount()

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Returns:
        Die Anzahl der Parameter

    - #### getTypeInformation

          public java.lang.String getTypeInformation()

      Returns:
        Die Typinformationen der Parameter in der Parameterliste

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

    - #### iterator

          public java.util.Iterator<FormalParameter> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<FormalParameter>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `SyntaxTreeNode`

    - #### getOffset

          public int getOffset()

      Specified by:
        `getOffset` in interface `IItemWithOffset`

    - #### getVariableLength

          public int getVariableLength()

      Specified by:
        `getVariableLength` in interface `IItemWithOffset`

    - #### getChildren

          public Menge<? extends SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`